/*
 * gofaiHistoryDialog.cpp
 *
 * Copyright (C) 1999 Boloni Laszlo
 *
 */

#include "gofaiHistoryDialog.h"
#include <qlayout.h>
#include <klocale.h>
#include <kdialogbase.h>

gofaiHistoryDialog::gofaiHistoryDialog(QWidget *) :
    KDialogBase(KDialogBase::Plain,
                "History",
                Ok|Cancel,
                Ok
                ) {
    QFrame *page = plainPage();
    QVBoxLayout *hlay = new QVBoxLayout(page);
    setButtonOKText("Go");

    lb = new KListBox(page);
    hlay->addWidget(lb);
    hlay->activate();
    connect(lb, SIGNAL(doubleClicked(QListBoxItem*)),
            this, SLOT(slotDoubleClick()));
    resize(200,300);
}

void gofaiHistoryDialog::slotDoubleClick() {
    accept();
}

QString gofaiHistoryDialog::getValue() {
  return lb->text(lb->currentItem());
};
#include "gofaiHistoryDialog.moc"
