/*
 * gofaiDataSource.h
 *
 * Copyright (C) 1999 Boloni Laszlo
 *
 */

#include <fstream.h>
#include <gofaiDataSource.h>
#include <gofaiDataView.h>
#include <gofaiConfig.h>
#include <gofaiDataQuery.h>

/**
   gofaiDataSource
  -this file is for the time being empty, because this is an
  abstract class and the functionality was moved to dataview
  and dataquery
 */

gofaiDataSource::gofaiDataSource() {
  changed = false;
  name = "noname";
  creator = "nobody";
}

void gofaiDataSource::addItem(gofaiItem *it) {
    if (it->id == 0L) {
        it->id = getUniqueId();
    } else if (lookupItem(it->id)!=NULL) {
        cerr << "Error!!! Id already exists!!!";
        return;
    }
    addItem2(it);
};
